Javascript Rating Rating for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Rating for Javascript

light
dark

Change the theme setting here

Rating - Basic usage

Change demo
Basic usage
mobiscroll.rating('.md-product', {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    label: 'Rate Item',
    onSet: function (event, inst) {
        this.closest('li').querySelector('.md-rating').innerHTML = event.valueText + ' of 5';
    },
    onBeforeShow: function (event, inst) {
        inst.setVal(this.closest('li').querySelector('.md-rating').innerHTML[0], true);
    }
});

mobiscroll.listview('.md-products', {
    theme: ' ',
    themeVariant: ' ',
    swipe: false,
    enhance: true,
    onItemTap: function () {}
});
<div class="md-stars-cont">
    <div class="md-stars">
        <ul class="md-products">
            <li id="demo" class="md-product">
                <img src="/Content/img/demos/product1.png" />
                <h3>Chocolate sticks</h3>
                <p>Crunchy on the inside</p>
                <span class="md-rate">
                    <span class="md-rating">4 of 5</span>
                </span>
            </li>
            <li class="md-product">
                <img src="/Content/img/demos/product2.png" />
                <h3>Hershey's Kisses</h3>
                <p>Bite-sized piece of heaven</p>
                <span class="md-rate">
                    <span class="md-rating">4 of 5</span>
                </span>
            </li>
            <li class="md-product">
                <img src="/Content/img/demos/product3.png" />
                <h3>Milk chocolate</h3>
                <p>The all-time favorite</p>
                <span class="md-rate">
                    <span class="md-rating">3 of 5</span>
                </span>
            </li>
            <li class="md-product">
                <img src="/Content/img/demos/product4.png" />
                <h3>Chocolate cupcake</h3>
                <p>Sweet temptation with chocolate chips</p>
                <span class="md-rate">
                    <span class="md-rating">5 of 5</span>
                </span>
            </li>
            <li class="md-product">
                <img src="/Content/img/demos/product5.png" />
                <h3>Aerated chocolate</h3>
                <p>Light as air</p>
                <span class="md-rate">
                    <span class="md-rating">5 of 5</span>
                </span>
            </li>
            <li class="md-product">
                <img src="/Content/img/demos/product6.png" />
                <h3>Chocolate truffles</h3>
                <p>Chocolate ganache and heavenly cocoa</p>
                <span class="md-rate">
                    <span class="md-rating">5 of 5</span>
                </span>
            </li>
        </ul>
    </div>
</div>
.demo-stars {
    padding: 0!important;
}

.md-stars .md-products .md-rate {
    position: absolute;
    right: 0;
    top: 0;
    width: 60px;
    height: 100%;
    text-align: right;
}

.md-stars .md-products .md-rating {
    position: absolute;
    top: 50%;
    margin-top: -9px;
    right: 1em;
}

.md-stars-cont .md-stars .md-product {
    padding-right: 65px;
}

.md-stars .md-product h3 {
    padding-bottom: .25em;
}

Rating - Text description

Change demo
Text description

Rating - Grades

Change demo

Rating - Grades with text

Change demo
Grades with text

Rating - Customizing options

Change demo
Customizing options

Rating - Custom colors

Change demo
Custom colors
1234 save

Rating - Custom Icons

Change demo
Custom Icons

Rating - Slider

Change demo

Rating - Score slider

Change demo

Rating - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Rating - Display modes

Change demo
Display modes

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Slider & progress for React

Updated on May 17, 2021
Learn More

Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.

With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.

Use it for picking values, showing progress with the following features:

  • Single and multiple handle sliders
  • Continuous slider
  • Discrete slider
  • Custom steps for slider and progress
  • Custom icon support
  • Rating slider
  • Color preset support


Forms demos available for other frameworks.

Viewing demos & code for

React Slider & progress Slider & progress for React

Slider & progress - Slider

Change demo
Slider
React Slider examples with single, multiple handles supporting icons, inline values, steps, floating and discrete slider.
Copy code

Slider & progress - Date Slider

Change demo
Date Slider
React Slider demo as a date picker. Use this for picking the day of week where simplicity is essential.
Copy code

Slider & progress - Progress

Change demo
Progress
React Progress indicator with custom steps, labels, icons, percentage and event hooks for programmatic interaction.
Copy code

Slider & progress - Rating

Change demo
Rating
React Rating examples with stars, supporting icons, fractional values, custom ranges and colors. For desktop & mobile.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    render() {
        return (
			<mobiscroll.Form
			    lang=" "
			    theme=" " 
			    themeVariant=" "
			>
			    <mobiscroll.FormGroup>
    				<mobiscroll.FormGroupTitle>Rating</mobiscroll.FormGroupTitle>
					<mobiscroll.Rating>
					    Simple rating
					</mobiscroll.Rating>
					<mobiscroll.Rating empty="heart2" filled="heart" value={3}>
					    Custom icons
					</mobiscroll.Rating>
					<mobiscroll.Rating step={.5} min={0} max={3} value={1.5}>
					    Half steps
					</mobiscroll.Rating>
					<mobiscroll.Rating val="right" max={6} value={4} template="{value}/{max}">
					    Value
					</mobiscroll.Rating>
					<mobiscroll.Rating disabled>
					    Disabled
					</mobiscroll.Rating>
    			</mobiscroll.FormGroup>
    			<mobiscroll.FormGroup>
    				<mobiscroll.FormGroupTitle>Rating colors</mobiscroll.FormGroupTitle>
					<mobiscroll.Rating color="primary">
					    Primary
					</mobiscroll.Rating>
					<mobiscroll.Rating color="secondary">
					    Secondary
					</mobiscroll.Rating>
					<mobiscroll.Rating color="success">
					    Success
					</mobiscroll.Rating>
					<mobiscroll.Rating color="danger">
					    Danger
					</mobiscroll.Rating>
					<mobiscroll.Rating color="warning">
					    Warning
					</mobiscroll.Rating>
					<mobiscroll.Rating color="info">
					    Info
					</mobiscroll.Rating>
    			</mobiscroll.FormGroup>
			</mobiscroll.Form>
        );
    }
}

<div id="content"></div>

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos